# WOK
TKWOK
WOKernel

# WOKernel_BaseEntityHasher Class Reference

`#include <WOKernel_BaseEntityHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const Handle(WOKernel_BaseEntity)&akey)
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(WOKernel_BaseEntity)&akey1, const Handle(WOKernel_BaseEntity)&akey2)

## Member Function Documentation

static Standard_EXPORT Standard_Integer WOKernel_BaseEntityHasher::HashCode | ( | const Handle(WOKernel_BaseEntity)& | akey | ) | `[static]`

static Standard_EXPORT Standard_Boolean WOKernel_BaseEntityHasher::IsEqual | ( | const Handle(WOKernel_BaseEntity)& | akey1,
|  | const Handle(WOKernel_BaseEntity)& | akey2
| ) | `[static]`

void WOKernel_BaseEntityHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_BaseEntityHasher::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_BaseEntityHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- WOKernel_BaseEntityHasher.hxx